libzypp 17.37.10

zypp::strv::detail Namespace Reference

## Functions
unsigned | _splitSimple (std::string_view line_r, const WordConsumer &fnc_r)
| split working horse for empty sep_r case.

## Function Documentation

## ◆ _splitSimple()

unsigned zypp::strv::detail::_splitSimple | ( | std::string_view | line_r,
|  | const WordConsumer & | fnc_r )

split working horse for empty sep_r case.

Split at /[BLANK,TAB]+/ and report no-empty words. Trim::right is applied to the rest of the line in case the callback aborts further processing.

Definition at line 26 of file StringV.cc.